Loading...
Searching...
No Matches
AttributeDefinition Struct Reference
Collaboration diagram for AttributeDefinition:
[legend]

## Public Attributes

const Char * | name
int | namelen
AttributeType | type
Char ** | allowed_values
DefaultType | default_type
const Char * | default_value
struct attribute_definition * | next

## Detailed Description

Definition at line 147 of file dtd.h.

## Member Data Documentation

## name

const Char* AttributeDefinition::name

Definition at line 161 of file dtd.h.

## namelen

int AttributeDefinition::namelen

Definition at line 162 of file dtd.h.

## type

AttributeType AttributeDefinition::type

Definition at line 163 of file dtd.h.

## allowed_values

Char** AttributeDefinition::allowed_values

Definition at line 164 of file dtd.h.

## default_type

DefaultType AttributeDefinition::default_type

Definition at line 165 of file dtd.h.

## default_value

const Char* AttributeDefinition::default_value

Definition at line 166 of file dtd.h.

## next

struct attribute_definition* AttributeDefinition::next

Definition at line 167 of file dtd.h.

The documentation for this struct was generated from the following file:

- include/rxp/dtd.h